> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superlink.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Orders

> Returns order information



## OpenAPI

````yaml GET /v1/market/order/{orderID}
openapi: 3.0.1
info:
  title: Superlink
  description: API for Superlink
  termsOfService: https://assets.superlink.me/tos-v2.html
  contact:
    name: API Support
    url: https://superlink.me/about#contact-us
    email: support@superlink.me
  license:
    name: MIT
  version: 67ce35d94e3c397766edd997341ed79b7283e2f3
servers:
  - url: https://api.superlink.me/
security: []
paths:
  /v1/market/order/{orderID}:
    get:
      tags:
        - market
      summary: Returns order information
      description: Returns order information
      operationId: market-order
      parameters:
        - name: orderID
          in: path
          description: 92456d2b-c315-4b2b-b234-c674490b7324
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.MarketplaceOrderResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.InternalServerErrorResponse'
components:
  schemas:
    api.MarketplaceOrderResponse:
      type: object
      properties:
        baseCurrency:
          type: string
          example: USD
        basePrice:
          type: number
          example: 15
        createdAt:
          type: string
          example: '2023-06-08T10:30:00Z'
        currency:
          type: string
          example: ETH
        domain:
          type: string
          example: noramiller.eth
        id:
          type: string
          example: 92456d2b-c315-4b2b-b234-c674490b7324
        nameService:
          type: string
          example: ens
        orderStatus:
          type: string
          example: PENDING
        orderStatusReason:
          type: string
          example: Waiting for transaction
        ownerAddress:
          type: string
          example: '0x4c0f4c2ad123be4256784e9475fa243b5f6ccab4'
        paymentReferenceId:
          type: string
          example: 92456d2b-c315-4b2b-b234-c674490b7324
        paymentType:
          type: string
          example: crypto
        price:
          type: number
          example: 0.001
        updatedAt:
          type: string
          example: '2024-01-02T11:20:00Z'
    api.InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: Internal server error

````